from django import template
from cart.models import PCart,CPCart

register = template.Library()


@register.filter
def cart_item_count(user):
    if user.is_authenticated:
        qs1 = PCart.objects.filter(user=user)
        qs2 = CPCart.objects.filter(user=user)
        if qs1.exists() & qs2.exists():
            return qs1[0].p_name.count() + qs2[0].p_name.count()
        elif qs1.exists():
            return qs1[0].p_name.count()
        elif qs2.exists():
            return qs2[0].p_name.count()
    return 0

