from django.urls import path, include, re_path
from django.conf.urls import url
from Home import views

urlpatterns = [

    # path('', views.home, name='homepage'),
    path('', views.browse, name='browse'),
    re_path(r'^description/(?P<object_id>\d+)/$', views.desc1, name='description'),
    re_path(r'^description1/(?P<object_id>\d+)/$', views.desc1, name='description1'),
    # path('deleter/<int:object_id>/', views.delete_record, name='delete_record'),
    url(r'^getSubcategory/$', views.get_subcategory),
    # path(r'^subcat_products/(?P<object_id>\d+)/$', views.subcategory_product, name='subcat_prod'),
    path('subcat_products/<int:object_id>/', views.subcategory_product, name='subcat_prod'),
    path('<str:cat_name>/<int:cat_id>/', views.cat_view, name='cat_view'),
    path('<str:cat_name>/<str:subcat_name>/<int:subcat_id>/', views.subcat_view, name='subcat_view'),
    path('kisan_contact_detail/<int:object_id>/<str:object_name>/', views.kisan_contact, name='kisan_contact'),
]
